Update term list
PUT
/api/settings/automod/lists/{id}Change a term list. A Hub list keeps its name and terms; only its switches, targets, action and switched-off terms change.
Needs the ManageSettings permission.
AuthorizationBearer <token>
An API key, made on Settings, API keys. Every key starts with mbk_.
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/api/settings/automod/lists/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": null, "enabled": true, "targets": null, "deleteMessage": true, "timeoutMinutes": null, "terms": null, "excludedTerms": null }'{ "list": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "source": "string", "enabled": true, "targets": [ "string" ], "deleteMessage": true, "timeoutMinutes": null, "setToActBy": null, "setToActAt": null, "termCount": 0, "excludedCount": 0, "hubId": null, "hubVersion": null, "hubFetchedAt": null, "hubAvailableVersion": null, "hubAvailableChanges": null, "hubError": null, "stats": { "flags": 0, "dismissed": 0, "confirmed": 0, "byLanguage": null }, "version": 0, "acting": true, "scope": { "channelMode": "string", "channels": [ "string" ], "exemptRoles": [ "string" ], "exemptRolesSkipFlag": true, "exemptGroupRoles": null }, "trial": null, "paused": null, "tests": { "samples": 0, "lastRunAt": null, "lastRunModel": null, "caught": null, "shouldFlag": null, "wronglyFlagged": null, "passes": true }, "contextMessages": 0, "checkPictures": false, "openReviewForEachFlag": false, "groupBan": false, "groupRemove": false }, "terms": [ { "id": "string", "kind": "string", "text": null, "pattern": null, "label": "string", "category": null, "note": null, "excluded": true } ]}